# Uses of Class
jdk.jfr.Configuration

Packages that use Configuration
Package
Description
jdk.jfr
This package provides classes to create events and control Flight Recorder.
jdk.jfr.consumer
This package contains classes for consuming Flight Recorder data.

## Uses of Configuration in jdk.jfr

Methods in jdk.jfr that return Configuration
Modifier and Type
Method
Description
`static Configuration`
Configuration.`create(Reader reader)`
Reads a configuration from a character stream.
`static Configuration`
Configuration.`create(Path path)`
Reads a configuration from a file.
`static Configuration`
Configuration.`getConfiguration(String name)`
Returns a predefined configuration.
Methods in jdk.jfr that return types with arguments of type Configuration
Modifier and Type
Method
Description
`static List<Configuration>`
Configuration.`getConfigurations()`
Returns an immutable list of predefined configurations for this Java Virtual Machine (JVM).
Constructors in jdk.jfr with parameters of type Configuration
Modifier
Constructor
Description
``
`Recording(Configuration configuration)`
Creates a recording with settings from a configuration.

## Uses of Configuration in jdk.jfr.consumer

Methods in jdk.jfr.consumer that return types with arguments of type Configuration
Modifier and Type
Method
Description
`List<Configuration>`
MetadataEvent.`getConfigurations()`
Returns a list of configurations.
Constructors in jdk.jfr.consumer with parameters of type Configuration
Modifier
Constructor
Description
``
`RecordingStream(Configuration configuration)`
Creates a recording stream using settings from a configuration.